<?php
$disable_parallax = '';
if(kudos_qodef_options()->getOptionValue('parallax_on_off') == 'off'){
    $disable_parallax = 'qodef-parallax-section-holder-touch-disabled';
}
?>
<article class="qodef-portfolio-item qodef-parallax-section-holder <?php echo esc_attr($disable_parallax); ?> <?php echo esc_attr($categories)?>" style="background-image: url('<?php the_post_thumbnail_url('full'); ?>');" data-qodef-parallax-speed="1">
    <a class="qodef-overlay-link" href="<?php echo esc_url($item_link); ?>">
    </a>
    <div class="qodef-portfolio-item-inner">
        <div class="qodef-portfolio-item-table">
            <div class="qodef-portfolio-item-table-cell">
                <div class="qodef-item-text-holder">
                    <<?php echo esc_attr($title_tag)?> class="qodef-item-title">
                        <a href="<?php echo esc_url($item_link); ?>">
                            <?php echo esc_attr(get_the_title()); ?>
                        </a>
                    </<?php echo esc_attr($title_tag)?>>
                    <div class="qodef-portfolio-excerpt">
                        <?php kudos_qodef_excerpt($excerpt_length); ?>
                    </div>
                    <?php if(kudos_qodef_options()->getOptionValue('enable_social_share') == 'yes'
                        && kudos_qodef_options()->getOptionValue('enable_social_share_on_portfolio-item') == 'yes') : ?>
                        <div class="qodef-portfolio-social">
                            <?php echo kudos_qodef_get_social_share_html() ?>
                        </div>
                    <?php endif; ?>
                </div>
            </div>
        </div>
    </div>
</article>