<li class="qodef-blog-slider-item">
	<div class="qodef-blog-slider-item-inner">
		<div class="qodef-item-image clearfix">
			<a itemprop="url" href="<?php echo esc_url(get_permalink()) ?>">
				<?php
                    echo get_the_post_thumbnail(get_the_ID(), $thumb_image_size);
				?>				
			</a>
		</div>
        <div class="qodef-item-text-wrapper">
            <div class="qodef-item-text-holder">
                <div class="qodef-item-text-holder-inner">
                    <?php if($show_date == 'yes' || $show_category == 'yes' || $show_author == 'yes' || $show_comments == 'yes'){ ?>
                        <div class="qodef-item-info-section">
                            <?php kudos_qodef_post_info(
                                array(
                                    'date' => $show_date,
                                    'category' => $show_category
                                ),
                                array(
                                    'show_date_label' => false
                                )
                            ) ?>

                            <?php kudos_qodef_post_info(
                                array(
                                    'comments' => $show_comments
                                ),
                                array(
                                    'advanced' => true
                                )
                            ) ?>

                            <?php kudos_qodef_post_info(
                                array(
                                    'author' => $show_author
                                )
                            ) ?>

                        </div>
                    <?php } ?>

                    <<?php echo esc_html( $title_tag)?> itemprop="name" class="qodef-item-title entry-title">
                        <a itemprop="url" href="<?php echo esc_url(get_permalink()) ?>" >
                            <?php echo esc_attr(get_the_title()) ?>
                        </a>
                    </<?php echo esc_html($title_tag) ?>>

                    <?php if($show_read_more == 'yes'){ ?>
                        <div class="qodef-section-button-holder">
                            <?php kudos_qodef_read_more_button('', 'qodef-blog-slider-button'); ?>
                        </div>
                    <?php } ?>
                </div>
            </div>
		</div>
	</div>
</li>