<?php

if ( ! function_exists( 'kudos_qodef_register_widgets' ) ) {
	function kudos_qodef_register_widgets() {
		$widgets = array(
			'KudosQodefFullScreenMenuOpener',
			'KudosQodefLatestPosts',
			'KudosQodefSearchOpener',
			'KudosQodefSeparatorWidget',
			'KudosQodefSideAreaOpener',
			'KudosQodefSocialIconWidget',
		);

		if ( kudos_qodef_is_woocommerce_installed() ) {
			$widgets[] = 'KudosQodefWoocommerceDropdownCart';
		}

		foreach ( $widgets as $widget ) {
			register_widget( $widget );
		}
	}
}

add_action( 'widgets_init', 'kudos_qodef_register_widgets' );