<?php

/*** Audio Post Format ***/

if(!function_exists('kudos_qodef_map_audio')) {
    function kudos_qodef_map_audio() {

        $audio_post_format_meta_box = kudos_qodef_create_meta_box(
            array(
                'scope' => array('post'),
                'title' => esc_html__('Audio Post Format', 'kudos'),
                'name' => 'post_format_audio_meta'
            )
        );

        kudos_qodef_create_meta_box_field(
            array(
                'name' => 'qodef_post_audio_link_meta',
                'type' => 'text',
                'label' => esc_html__('Link', 'kudos'),
                'description' => esc_html__('Enter audion link', 'kudos'),
                'parent' => $audio_post_format_meta_box,

            )
        );
    }

    add_action('kudos_qodef_meta_boxes_map', 'kudos_qodef_map_audio');

}
