<?php

if ( ! function_exists('kudos_qodef_reset_options_map') ) {
	/**
	 * Reset options panel
	 */
	function kudos_qodef_reset_options_map() {

		kudos_qodef_add_admin_page(
			array(
				'slug'  => '_reset_page',
				'title' => esc_html__('Reset', 'kudos'),
				'icon'  => 'fa fa-retweet'
			)
		);

		$panel_reset = kudos_qodef_add_admin_panel(
			array(
				'page'  => '_reset_page',
				'name'  => 'panel_reset',
				'title' => esc_html__('Reset', 'kudos')
			)
		);

		kudos_qodef_add_admin_field(array(
			'type'	=> 'yesno',
			'name'	=> 'reset_to_defaults',
			'default_value'	=> 'no',
			'label'			=> esc_html__('Reset to Defaults', 'kudos'),
			'description'	=> esc_html__('This option will reset all Select Options values to defaults', 'kudos'),
			'parent'		=> $panel_reset
		));

	}

	add_action( 'kudos_qodef_options_map', 'kudos_qodef_reset_options_map', 100 );

}