<?php
use KudosQodef\Modules\Header\Lib;

if(!function_exists('kudos_qodef_set_header_object')) {
    function kudos_qodef_set_header_object() {
        $header_type = kudos_qodef_get_meta_field_intersect('header_type', kudos_qodef_get_page_id());

        $object = Lib\HeaderFactory::getInstance()->build($header_type);

        if(Lib\HeaderFactory::getInstance()->validHeaderObject()) {
            $header_connector = new Lib\HeaderConnector($object);
            $header_connector->connect($object->getConnectConfig());
        }
    }

    add_action('wp', 'kudos_qodef_set_header_object', 1);
}