<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
    <?php
    /**
     * @see kudos_qodef_header_meta() - hooked with 10
     * @see qode_user_scalable - hooked with 10
     */
    ?>
	<?php if (!kudos_qodef_is_ajax_request()) do_action('kudos_qodef_header_meta'); ?>

	<?php if (!kudos_qodef_is_ajax_request()) wp_head(); ?>
</head>

<body <?php body_class();?> itemscope itemtype="http://schema.org/WebPage">
<?php if (!kudos_qodef_is_ajax_request()) kudos_qodef_get_side_area(); ?>


<?php 
if((!kudos_qodef_is_ajax_request()) && kudos_qodef_options()->getOptionValue('smooth_page_transitions') == "yes") {
    $kudos_qodef_ajax_class = 'qodef-mimic-ajax';
?>
<div class="qodef-smooth-transition-loader <?php echo esc_attr($kudos_qodef_ajax_class); ?>">
    <div class="qodef-st-loader">
        <div class="qodef-st-loader1">
            <?php kudos_qodef_loading_spinners(); ?>
        </div>
    </div>
</div>
<?php } ?>

<div class="qodef-wrapper">
    <div class="qodef-wrapper-inner">
        <?php if (!kudos_qodef_is_ajax_request()) kudos_qodef_get_header(); ?>

        <?php if ((!kudos_qodef_is_ajax_request()) && kudos_qodef_options()->getOptionValue('show_back_button') == "yes") { ?>
            <a id='qodef-back-to-top'  href='#'>
                <span class="qodef-icon-stack">
                     <?php
                        kudos_qodef_icon_collections()->getBackToTopIcon('font_elegant');
                    ?>
                </span>
            </a>
        <?php } ?>
        <?php if (!kudos_qodef_is_ajax_request()) kudos_qodef_get_full_screen_menu(); ?>

        <div class="qodef-content" <?php kudos_qodef_content_elem_style_attr(); ?>>
            <?php if(kudos_qodef_is_ajax_enabled()) { ?>
            <div class="qodef-meta">
                <?php do_action('kudos_qodef_ajax_meta'); ?>
                <span id="qodef-page-id"><?php echo esc_html(get_queried_object_id()); ?></span>
                <div class="qodef-body-classes"><?php echo esc_html(implode( ',', get_body_class())); ?></div>
            </div>
            <?php } ?>
            <div class="qodef-content-inner">