<div class="qodef-parallax-section-basic <?php echo esc_attr( $parallax_section_class ) ?>" <?php echo kudos_qodef_get_inline_style( $parallax_section_style ) ?>>

	<?php if ( $number !== '' ) { ?>
        <div class="qodef-parallax-number-holder qodef-parallax-number" <?php echo kudos_qodef_get_inline_style( $text_area1_number_padding ) ?> data-bottom-top="transform[customEase]:translateY(<?php echo esc_attr( $offsets['number_y_start_offset'] ) ?>)" data-top-bottom="transform[customEase]:translateY(<?php echo esc_attr( $offsets['number_y_end_offset'] ) ?>)">
            <div <?php echo kudos_qodef_get_inline_style( $number1_style ) ?>><?php echo esc_html( $number ) ?></div>
        </div>
	<?php } ?>
    <div class="qodef-parallax-text-holder" <?php echo kudos_qodef_get_inline_style( $text_area1_padding ) ?> data-bottom-top="transform[customEase]:translateY(<?php echo esc_attr( $offsets['text_area_y_start_offset'] ) ?>)" data-top-bottom="transform[customEase]:translateY(<?php echo esc_attr( $offsets['text_area_y_end_offset'] ) ?>)">
		<?php if ( $heading !== '' ) { ?>
            <h3 class="qodef-parallax-title"><?php echo esc_html( $heading ) ?></h3>
		<?php } ?>
		<?php if ( $excerpt !== '' ) { ?>
            <p class="qodef-parallax-excerpt"><?php echo esc_html( $excerpt ) ?></p>
		<?php } ?>
    </div>
    <div class="qodef-main-image-holder" data-bottom-top="transform[customEase]:translateY(<?php echo esc_attr( $offsets['main_image_y_start_offset'] ) ?>)" data-top-bottom="transform[customEase]:translateY(<?php echo esc_attr( $offsets['main_image_y_end_offset'] ) ?>)">
		<?php if ( $main_image_link !== '' ) { ?>
            <a class="qodef-parallax-link" href="<?php echo esc_url( $main_image_link ) ?>" target="<?php echo esc_attr( $main_image_link_target ); ?>"></a>
		<?php } ?>
		<?php if ( $main_image_src !== '' ) { ?>
            <img class="qodef-main-image" src="<?php echo esc_url( $main_image_src ) ?>" alt="<?php esc_attr_e( 'parallax main image', 'select-core' ) ?>"/>
		<?php } ?>
    </div>
	<?php if ( $number2 !== '' ) { ?>
        <div class="qodef-parallax-number-holder2 qodef-parallax-number" <?php echo kudos_qodef_get_inline_style( $text_area2_number_padding ) ?> data-bottom-top="transform[customEase]:translateY(<?php echo esc_attr( $offsets['number2_y_start_offset'] ) ?>)" data-top-bottom="transform[customEase]:translateY(<?php echo esc_attr( $offsets['number2_y_end_offset'] ) ?>)">
            <div <?php echo kudos_qodef_get_inline_style( $number2_style ) ?>><?php echo esc_html( $number2 ) ?></div>
        </div>
	<?php } ?>
    <div class="qodef-parallax-text-holder2" <?php echo kudos_qodef_get_inline_style( $text_area2_padding ) ?> data-bottom-top="transform[customEase]:translateY(<?php echo esc_attr( $offsets['text_area_y_start_offset2'] ) ?>)" data-top-bottom="transform[customEase]:translateY(<?php echo esc_attr( $offsets['text_area_y_end_offset2'] ) ?>)">
		<?php if ( $heading2 !== '' ) { ?>
            <h3 class="qodef-parallax-title"><?php echo esc_html( $heading2 ) ?></h3>
		<?php } ?>
		<?php if ( $excerpt2 !== '' ) { ?>
            <p class="qodef-parallax-excerpt"><?php echo esc_html( $excerpt2 ) ?></p>
		<?php } ?>
    </div>
    <div class="qodef-side-image-holder" data-bottom-top="transform[customEase]:translateY(<?php echo esc_attr( $offsets['side_image_y_start_offset'] ) ?>)" data-top-bottom="transform[customEase]:translateY(<?php echo esc_attr( $offsets['side_image_y_end_offset'] ) ?>)">
		<?php if ( $side_image_link !== '' ) { ?>
            <a class="qodef-parallax-link" href="<?php echo esc_url( $side_image_link ) ?>" target="<?php echo esc_attr( $side_image_link_target ); ?>"></a>
		<?php } ?>
		<?php if ( $side_image_src !== '' ) { ?>
            <img class="qodef-side-image" src="<?php echo esc_url( $side_image_src ) ?>" alt="<?php esc_attr_e( 'parallax side image', 'select-core' ) ?>"/>
		<?php } ?>
    </div>
</div>
