<?php

if(!function_exists('kudos_qodef_get_shop_masonry_simple_filters')) {
    function kudos_qodef_get_shop_masonry_simple_filters($params) {

        add_action('kudos_qodef_simple_woocommerce_link_overlay','woocommerce_template_loop_product_link_open',5);
        add_action('kudos_qodef_simple_woocommerce_link_overlay','woocommerce_template_loop_product_link_close',10);

        add_action('kudos_qodef_simple_woocommerce_before_shop_loop_item', 'woocommerce_template_loop_product_link_open', 10);

        add_action('kudos_qodef_simple_woocommerce_before_shop_loop_item_title', 'kudos_qodef_woocommerce_product_out_of_stock', 5);
        add_action('kudos_qodef_simple_woocommerce_before_shop_loop_item_title', 'woocommerce_show_product_loop_sale_flash', 10);
        add_action('kudos_qodef_simple_woocommerce_before_shop_loop_item_title', 'kudos_qodef_get_shop_masonry_thumbnail', 10);
        add_action('kudos_qodef_simple_woocommerce_before_shop_loop_item_title', 'woocommerce_template_loop_product_link_close', 15);

        add_action('kudos_qodef_simple_woocommerce_shop_loop_item_title', 'woocommerce_template_loop_product_link_open', 5);
        add_action('kudos_qodef_simple_woocommerce_shop_loop_item_title', 'kudos_qodef_get_shop_masonry_title', 10, 1);

        add_action('kudos_qodef_simple_woocommerce_after_shop_loop_item_title', 'woocommerce_template_loop_product_link_close', 5);

		add_action('kudos_qodef_simple_woocommerce_after_shop_loop_item_title', 'kudos_qodef_woocommerce_shop_loop_categories', 5);

        add_action('kudos_qodef_simple_woocommerce_after_shop_loop_item_title', 'woocommerce_template_loop_price', 10);

        add_action('kudos_qodef_simple_woocommerce_after_shop_loop_item_title', 'woocommerce_template_loop_rating', 15);

        add_action('kudos_qodef_simple_woocommerce_after_shop_loop_item', 'woocommerce_template_loop_add_to_cart', 10);

    }

    add_action( 'kudos_qodef_before_shop_masonry_simple', 'kudos_qodef_get_shop_masonry_simple_filters', 5, 1);
}

/**
 * Creates title with selected tag
 *
 * @param $params
 * @return string
 */

if(!function_exists('kudos_qodef_get_shop_masonry_title')) {
    function kudos_qodef_get_shop_masonry_title($params)
    {

        if ($params['title_tag'] != '') {
            $tag = $params['title_tag'];
        } else {
            $tag = 'h5';
        }

        return the_title('<' . $tag . ' class="qodef-product-list-product-title">', '</' . $tag . '>', true);
    }
}

if(!function_exists('kudos_qodef_get_shop_masonry_thumbnail')){
	function kudos_qodef_get_shop_masonry_thumbnail($params)
	{
		echo woocommerce_get_product_thumbnail($params['thumb_size']);
	}
}
